import { Component, OnInit } from '@angular/core';
import { Aktivnost } from '../modeli/aktivnost';
import { Korisnik } from '../modeli/korisnik';
import { AktivnostiService } from '../servisi/aktivnosti.service';

@Component({
  selector: 'app-nastavnik',
  templateUrl: './nastavnik.component.html',
  styleUrls: ['./nastavnik.component.css'],
})
export class NastavnikComponent implements OnInit {
  ulogovan: Korisnik = new Korisnik();
  napravljeneAktivnosti: Aktivnost[] = [];

  constructor(private aktivnostiServis: AktivnostiService) { }

  ngOnInit(): void {
    let ulogovanLS = localStorage.getItem('ulogovan');
    if (ulogovanLS != null) {
      this.ulogovan = JSON.parse(ulogovanLS);

      this.aktivnostiServis.mojeAktivnosti(this.ulogovan.korisnicko_ime).subscribe(data => {
        this.napravljeneAktivnosti = data;
      });
    }
  }

  promeniStatus(aktivnost: Aktivnost) {
    this.aktivnostiServis.promenaStatusa(aktivnost).subscribe(data => {
      if (data)
        this.ngOnInit();
    });
  }
}
